MODF(3)

NAME
modf - return integral and fractional parts

SYNOPSIS
#include <math.h>
double
modf(double value, double *iptr);
long double
modfl(long double value, long double *iptr);
float
modff(float value, float *iptr);

DESCRIPTION
The modf() break value into integral and fractional parts, each of which has the same sign as the argument. They return the fractional part, and store the integral part (as a floating-point number) in the object pointed to by iptr

SPECIAL VALUES
modf(±infinity, iptr) returns ±0 and stores ±infinity in the object pointed to by iptr.

modf(NaN, iptr) returns a NaN and stores a NaN in the object pointed to by iptr.

SEE ALSO
frexp(3), ldexp(3), math(3)

STANDARDS
The modf() functions conform to ISO/IEC 9899:2011.